Bug 6974 - MARC21 Leader plugin no longer auto-fills the 000 field
Summary: MARC21 Leader plugin no longer auto-fills the 000 field
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Srdjan Jankovic
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-05 14:06 UTC by Owen Leonard
Modified: 2012-10-25 23:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (944 bytes, patch)
2011-10-06 01:02 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Signed-off patch (1.02 KB, patch)
2011-10-06 12:45 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-10-05 14:06:28 UTC
Before the patch for Bug 6576 was pushed clicking in the 000 field in the MARC editor would fill the field with a default value. Now the field auto-fills with some spaces but no data.
Comment 1 Srdjan Jankovic 2011-10-06 01:02:11 UTC
Created attachment 5725 [details] [review]
patch
Comment 2 Owen Leonard 2011-10-06 12:45:06 UTC
Created attachment 5733 [details] [review]
Signed-off patch

After applying this patch the leader is correctly auto-filled when entering a new MARC record. The contents of the leader appear to save correctly whether you're entering a new record or modifying an existing one. Editing the leader in the pop-up editor also seems to be working fine.
Comment 3 Ian Walls 2011-10-06 12:46:41 UTC
I've tested the essential logic of this change already, and find that it corrects the 000 issue.  Marking as Passed QA.
Comment 4 Chris Cormack 2011-10-06 21:02:43 UTC
Pushed to master